%define _prefix /scisoft

%if 0%{?fedora}
  # disable the -Werror=format-security flag when compiling on Fedora to avoid
  # compilation errors.
  %define __global_cflags -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches %{_hardened_cflags}
%endif

Name:           scisoft-funtools
Version:        1.4.4
Release:        2%{?dist}
Summary:        Funtools provides simplified access to a wide array of file types.
Distribution:   Scisoft
License:        LGPLv2.1
Group:          Applications/Engineering
Packager:       Carlos Guirao <cguirao@eso.org>
URL:            https://github.com/ericmandel/funtools
Source0:        funtools-%{version}.tar.gz
Patch0:         Makefile.in.patch

%description
Funtools, is a "minimal buy-in" FITS library and utility package developed at
the the High Energy Astrophysics Division of SAO. The Funtools library provides
simplified access to a wide array of file types: standard astronomical FITS
images and binary tables, raw arrays and binary event lists, and even tables
of ASCII column data. A sophisticated region filtering library (compatible
with ds9) filters images and tables using boolean operations between geometric
shapes, support world coordinates, etc. Funtools also supports advanced
capabilities such as optimized data searching using index files.

%prep
%setup -q -n funtools-%{version}
%patch0 -p0

# Patch util/gio.c at lines 2212 and 2284
sed -i -e 's/fprintf(fd,/fprintf(fd,"%s",/g'  %{_builddir}/funtools-%{version}/util/gio.c
# Patch gnu/sort.c at line 2778
sed -i -e 's/fprintf (stderr, files/fprintf (stderr, "%s", files/'  %{_builddir}/funtools-%{version}/gnu/sort.c

%build
%configure
%make_build

%install
%make_install
install -m 755 -d %{buildroot}%{_datadir}
install -m 755 -d %{buildroot}%{_docdir}
install -m 755 -d %{buildroot}%{_licensedir}
# Fix file permissions due to broken install procedure in Makefile.
chmod 644 %{buildroot}%{_prefix}/lib/libfuntools.a

%files
%dir %{_datadir}
%dir %{_docdir}
%dir %{_licensedir}
%doc README
%license COPYING
%{_prefix}
%defattr(-,root,root)

%changelog
* Mon Feb 26 2018 Artur Szostak <aszostak@partner.eso.org> 1.4.4
- Updated to use standardised installation directory and build macros.
- Integrating with automated build system.

* Thu Nov 14 2013 <cguirao@eso.org>
- adapted to SCISOFT
